blas2_grp(3)

NAME
blas2_grp - Level 2 BLAS: matrix-vector ops

SYNOPSIS

  Topics
&mdash; full &mdash;
gemv: general matrix-vector multiply
ger: general matrix rank-1 update
{he,sy}mv: Hermitian/symmetric matrix-vector multiply ([cz]symv in LAPACK)
{he,sy}r: Hermitian/symmetric rank-1 update
{he,sy}r2: Hermitian/symmetric rank-2 update
trmv: triangular matrix-vector multiply
trsv: triangular matrix-vector solve
&mdash; packed &mdash;
{hp,sp}mv: Hermitian/symmetric matrix-vector multiply
{hp,sp}r: Hermitian/symmetric rank-1 update
{hp,sp}r2: Hermitian/symmetric rank-2 update
tpmv: triangular matrix-vector multiply
tpsv: triangular matrix-vector solve
&mdash; banded &mdash;
gbmv: general matrix-vector multiply
{hb,sb}mv: Hermitian/symmetric matrix-vector multiply
tbmv: triangular matrix-vector multiply
tbsv: triangular matrix-vector solve

Detailed Description

Author

Generated automatically by Doxygen for LAPACK from the source code.